Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Interface LTF_Symbols

    public interface LTF_Symbols

Defines constants that are useful when processing "Lisp syntax" domain definitions.

See Also:
  `LTF_Parser`

Field Summary
`static Symbol` | `K_SYNTAX`
`static Symbol` | `Q_AT`
`static Symbol` | `Q_FROM`
`static Symbol` | `Q_MAX`
`static Symbol` | `Q_MIN`
`static Symbol` | `Q_NODE`
`static Symbol` | `Q_PATTERN`
`static Symbol` | `Q_TO`
`static Symbol` | `Q_VALUE`
`static Symbol` | `S_ANNOTATIONS`
`static Symbol` | `S_CONSTRAINTS`
`static Symbol` | `S_DOMAIN`
`static Symbol` | `S_INCLUDE`
`static Symbol` | `S_ISSUE`
`static Symbol` | `S_ISSUES`
`static Symbol` | `S_MAP`
`static Symbol` | `S_NAME`
`static Symbol` | `S_NODES`
`static Symbol` | `S_OBJECT_CLASS`
`static Symbol` | `S_ORDERINGS`
`static Symbol` | `S_REFINEMENT`
`static Symbol` | `S_SELF`
`static Symbol` | `S_VARIABLES`

Field Detail

### S_DOMAIN

    static final Symbol S_DOMAIN

### S_NAME

    static final Symbol S_NAME

### S_REFINEMENT

    static final Symbol S_REFINEMENT

### S_VARIABLES

    static final Symbol S_VARIABLES

### S_NODES

    static final Symbol S_NODES

### S_ORDERINGS

    static final Symbol S_ORDERINGS

### S_CONSTRAINTS

    static final Symbol S_CONSTRAINTS

### S_ISSUES

    static final Symbol S_ISSUES

### S_ISSUE

    static final Symbol S_ISSUE

### S_OBJECT_CLASS

    static final Symbol S_OBJECT_CLASS

### S_ANNOTATIONS

    static final Symbol S_ANNOTATIONS

### S_MAP

    static final Symbol S_MAP

### S_SELF

    static final Symbol S_SELF

### S_INCLUDE

    static final Symbol S_INCLUDE

### K_SYNTAX

    static final Symbol K_SYNTAX

### Q_PATTERN

    static final Symbol Q_PATTERN

### Q_VALUE

    static final Symbol Q_VALUE

### Q_NODE

    static final Symbol Q_NODE

### Q_FROM

    static final Symbol Q_FROM

### Q_TO

    static final Symbol Q_TO

### Q_AT

    static final Symbol Q_AT

### Q_MIN

    static final Symbol Q_MIN

### Q_MAX

    static final Symbol Q_MAX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD